"""dev/ release operating system switch for main module."""

# Import built-in modules
from __future__ import print_function

import os
import platform
import sys


# Import local modules
# Add package root to sys.path because we need it for running standalone
this_dir = os.path.dirname(__file__)
smartcollect_root = os.path.join(this_dir, "..")
smartcollect_root = os.path.abspath(smartcollect_root)
if not smartcollect_root in sys.path:
    sys.path.insert(0, smartcollect_root)

_OS = platform.system()

# development => py files
if os.path.isfile(os.path.join(os.path.dirname(__file__), ".dev")):
    from smartCollect.smartCollect_d import *
    from smartCollect.license_d import *
    print("smartCollect | dev | ", _OS)

# release => cython files
else:
    print("cragl loading: smartCollect")

    if _OS == "Darwin":
        from smartCollect.smartCollect_m import *
        from smartCollect.license_m import *
    elif _OS == "Linux":
        from smartCollect.smartCollect_l import *
        from smartCollect.license_l import *
    elif _OS == "Windows":
        from smartCollect.smartCollect_w import *
        from smartCollect.license_w import *


def main():
    """Execute main function and create smart_collect window instance."""
    show_smartcollector_ext()


if __name__ == "__main__":
    main()
